JasperC (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.jsp.compilers.JasperC class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp.compilers
Class JasperC

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter
          org.apache.tools.ant.taskdefs.optional.jsp.compilers.JasperC

All Implemented Interfaces:
  JspCompilerAdapter

public class JasperC
extends DefaultJspCompilerAdapter

The implementation of the jasper compiler. This is a cut-and-paste of the original Jspc task.

Since:
  ant1.5
Author:
  Matthew Watson mattw@i3sp.com, steve loughran

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter
`owner`

Constructor Summary
`JasperC(JspMangler mangler)`

Method Summary
`JspMangler` | `createMangler()`
`boolean` | `execute()` our execute method

Methods inherited from class org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter
`addArg, addArg, addArg, getJspc, getProject, implementsOwnDependencyChecking, logAndAddFilesToCompile, setJspc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperC

    public JasperC(JspMangler mangler)

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  our execute method

  Returns:
    has the compilation been successful
  Throws:
    `BuildException`

### createMangler

    public JspMangler createMangler()

  Returns:
    an instance of the mangler this compiler uses

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.